Skip to main content

Create Split PIX QR Code Static

POST 

/split-payments/pix/qr-codes/static

Tag: api-paas-post-split-payments-pix-qr-codes-staticDescription: Generate a new static QR Code with split payment configuration.

Request

Header Parameters

    x-include-replay-protection-schema string

    The replay-protection-schema allows the user to choose between 3 options:

    • If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
    • 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
    • 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
    • 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    x-transaction-uuid stringrequired

    The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

Body

required
    key_id stringrequired

    Associated key ID.

    value numberrequired

    Value in R$ cents.

    summary string

    User friendly static QR Code identifier.

    description string

    User defined payment description.

    expiration_date date-time

    Expiration date to pay static QR Code. Max date is 3 months ahead.

    payable_many_times boolean

    If it is true, static QR Code can be paid many times. When it is false, expiration date is required.

    merchant_id string

    User defined payment merchant ID.

    split objectrequired
    split_type stringrequired

    Possible values: [PERCENTUAL, ABSOLUTE]

    Split type (PERCENTUAL or ABSOLUTE).

    accounts object[]required

    Array of accounts to receive split payments.

  • Array [
  • person_type stringrequired

    Possible values: [NATURAL_PERSON, LEGAL_PERSON]

    Person type (NATURAL_PERSON or LEGAL_PERSON).

    name stringrequired

    Name of the account holder.

    document stringrequired

    CPF or CNPJ of the account holder.

    bank_ispb stringrequired

    Bank ISPB code.

    branch stringrequired

    Branch number.

    account_number stringrequired

    Account number.

    account_type stringrequired

    Possible values: [CACC, CASH, CHAR, CISH, COMM, CPAC, LLSV, LOAN, MGLD, MOMA, NREX, ODFT, ONDP, OTHR, SACC, SLRY, SVGS, TAXE, TRAN, TRAS, CC, PG, CD, CG, CI, PP]

    Account type.

    split_value numberrequired

    Split value. For PERCENTUAL: percentage (0-100). For ABSOLUTE: value in cents.

  • ]

Responses

The split QR Code returned successfully.

Schema
    id stringrequired

    Split QR Code ID.

    key_id stringrequired

    Associated key ID.

    state stringrequired

    Possible values: [PENDING, READY, ERROR]

    Split QR Code state.

    summary string

    User defined payment ID.

    description string

    User defined payment description.

    expiration_date date-time

    Expiration date to pay static QR Code. When it is false, expiration date is required.

    created_at date-timerequired

    Split QR Code created at.

Loading...